{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "DECLARE SUBROUTINE  Btree.Extract,ErrMsg, Set_Property\r\nDECLARE FUNCTION Get_Status, Get_Property\r\n\r\n$INSERT COMPANY_EQUATES\r\n\r\nEQU COL$CUST_NO\t\tTO 1\r\nEQU COL$CUST_NAME\tTO 2\r\n\r\n\t\r\nParent = Get_Property(@WINDOW,'PARENT')\r\n\r\nIF Parent = 'DIALOG_FTP_QUEUE' THEN\r\n\r\n\tSearchString = 'FTP_QUEUE':@VM:'#'\r\n\r\n\tOPEN 'DICT.COMPANY' TO DictVar ELSE\r\n\t\tErrMsg('Unable to open DICT.COMPANY for Btree.Extract')\r\n\t\tRETURN\r\n\tEND\r\n\r\n\tBtree.Extract(SearchString,'COMPANY',DictVar,CustNos,'','')\r\n\r\n\tIF Get_Status(errCode) THEN \r\n\t\tErrMsg(errCode)\r\n\t\tRETURN\r\n\tEND\r\n\r\n\tCustArray = ''\t\t;* Array of customers with the FTP_QUEUE flag set on\r\n\r\n\tCustCnt = COUNT(CustNos,@VM) + (CustNos NE '')\r\n\r\n\tFOR I = 1 TO CustCnt\r\n\t\tCustNo\t\t= CustNos<1,I>\r\n\t\tCustRec\t\t= XLATE('COMPANY',CustNo,'','X')\r\n\t\tCustName\t= CustRec<COMPANY_CO_NAME$>\r\n\t\tIF CustRec<COMPANY_CITY$> NE '' THEN\r\n\t\t\tCustName := ', ':CustRec<COMPANY_CITY$>\r\n\t\tEND\r\n\t\t\r\n\t\tCustArray<COL$CUST_NO,I>\t= CustNo\r\n\t\tCustArray<COL$CUST_NAME,I>\t= CustName\r\n\r\n\tNEXT I\r\n\t\r\n\tLOOP\r\n\r\n\tUNTIL I > 21\r\n\t\tCustArray<COL$CUST_NO,I>\t= ''\r\n\t\tCustArray<COL$CUST_NAME,I>\t= ''\r\n\t\tI+= 1\r\n\tREPEAT\r\n\r\n\tSet_Property(@WINDOW:'.CUSTOMER_INFO','DEFPROP',CustArray)\r\nEND\r\n\r\n\r\n\r\nRETURN 1"
        }
    }
}